Eclipse Platform Release 3.7

## org.eclipse.swt.events
Interface GestureListener

All Superinterfaces:
  EventListener, org.eclipse.swt.internal.SWTEventListener

    public interface GestureListener

extends org.eclipse.swt.internal.SWTEventListener

Classes which implement this interface provide methods that deal with the events that are generated as gestures are triggered by the user interacting with a touch pad or touch screen.

After creating an instance of a class that implements this interface it can be added to a control using the `addGestureListener` method and removed using the `removeGestureListener` method. When a gesture is triggered, the appropriate method will be invoked.

Since:
  3.7
See Also:
  `GestureEvent`

Method Summary
`void` `gesture(GestureEvent e)` Sent when a recognized gesture has occurred.

Method Detail

### gesture

    void gesture(GestureEvent e)

  Sent when a recognized gesture has occurred.

  Parameters:
    `e` - an event containing information about the gesture.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.